Class MessageIterator
Class ResourceIterator is tasked with iterating over resource collections - many of which are paginated. Based on a base URL, the iterator will append elements based on further requests to the API. Each time this happens, query parameters (marker) are updated based on the current value.
- OpenCloud\Common\ArrayAccess implements ArrayAccess
-
OpenCloud\Common\Collection\ArrayCollection
implements
Countable
-
OpenCloud\Common\Collection\ResourceIterator
implements
Iterator
-
OpenCloud\Common\Collection\PaginatedIterator
implements
Iterator
-
OpenCloud\Queues\Collection\MessageIterator
Package: OpenCloud\Common\Collection
Since: 1.8.0
Located at OpenCloud/Queues/Collection/MessageIterator.php
Methods summary
Methods inherited from OpenCloud\Common\Collection\PaginatedIterator
appendElements(),
appendNewCollection(),
constructNextUrl(),
current(),
extractNextLink(),
factory(),
key(),
next(),
parseResponseBody(),
populateAll(),
rewind(),
setBaseUrl(),
updateMarkerToCurrent(),
valid()
Methods inherited from OpenCloud\Common\Collection\ResourceIterator
constructResource(),
currentElement(),
getElement(),
getOption(),
getOptions(),
search(),
setOption(),
setOptions(),
setResourceParent(),
sort()
Methods inherited from OpenCloud\Common\Collection\ArrayCollection
__construct(),
append(),
count(),
setElements(),
valueExists()
Methods inherited from OpenCloud\Common\ArrayAccess
offsetExists(),
offsetGet(),
offsetSet(),
offsetUnset()